package acg.prototype.content;


public class Hint {
	
	private int id;
	private String text;
	private boolean used;
	private int penalty;
	private int imageId;
	private int songId;

	public Hint(int hintId, String description, int penalty, boolean used, int imageId, int songId) {
		this.id = hintId;
		this.text = description;
		this.used = used;
		this.penalty = penalty;
		this.imageId = imageId;
		this.songId = songId;
	}

	public String getText() {
		return text;
	}

	public boolean isUsed() {
		return used;
	}

	public int getPenalty() {
		return penalty;
	}

	public int getImageId() {
		return imageId;
	}
	
	public int getId() {
		return id;
	}

	public int getSongId() {
		return songId;
	}
	
	public void setUsed() {
		this.used = true;
	}
	
	
}
