package acg.prototype;

import acg.prototype.db.DbAdapter;
import android.app.Activity;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

public class Final {
	
	LinearLayout layout; 
	
	public Final(Activity act) {
		layout = new LinearLayout(act);
		layout.setOrientation(LinearLayout.VERTICAL);
		TextView finishText = new TextView(act);
		finishText.setText(act.getString(R.string.finishText));
		layout.addView(finishText);
		TextView penalties = new TextView(act);
		DbAdapter da = new DbAdapter(act);
		da.open();
		penalties.setText(act.getString(R.string.accumulatedPenalties)+" "+da.getPenalties()+" mins.");
		da.close();
		layout.addView(penalties);
	}

	public View createView() {
		return layout;
	}
}
